## org.biojava.bio.seq.io
Interface SequenceBuilder

All Superinterfaces:
  SeqIOListener

All Known Implementing Classes:
  RagbagIdleSequenceBuilder, SequenceBuilderBase, SequenceBuilderFilter

public interface SequenceBuilder
extends SeqIOListener

Interface for objects which accumulate state via SeqIOListener, then construct a Sequence object.

It is possible to build `transducer' objects which implement this interface and pass on filtered notifications to a second, underlying SequenceBuilder. In this case, they should provide a `makeSequence` method which delegates to the underlying SequenceBuilder.

Since:
  1.1 [newio proposal]
Author:
  Thomas Down

Method Summary
`Sequence` `makeSequence()` Return the Sequence object which has been constructed by this builder.

Methods inherited from interface org.biojava.bio.seq.io.SeqIOListener
`addFeatureProperty, addSequenceProperty, addSymbols, endFeature, endSequence, setName, setURI, startFeature, startSequence`

Method Detail

### makeSequence

    public Sequence makeSequence()
                          throws BioException

  Return the Sequence object which has been constructed by this builder. This method is only expected to succeed after the endSequence() notifier has been called.

  Throws:
    `BioException`